import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang3.math.NumberUtils;
import org.junit.jupiter.api.Test;

@Slf4j
public class SimpleTest {
    @Test
    void test(){
        String str = String.format("%s-%s",1,null);
        String[] split = str.split("-");
        log.info("{}",split[0]);
        log.info("{}",split[1]);

        if(!StringUtils.isEmpty(split[1])){
            log.info("split[1] parseInt {}",NumberUtils.isCreatable(split[1]));
        }
    }
}
